%global spec_ver 3.1
%global spec_name geronimo-ejb_%{spec_ver}_spec

Name:             geronimo-ejb
Version:          1.0
Release:          %mkrel 18
Summary:          Java EE: EJB API v3.1
Group:            Development/Java
License:          ASL 2.0
URL:              http://geronimo.apache.org

Source0:          http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    geronimo-parent-poms
BuildRequires:    jta
BuildRequires:    interceptor_api
BuildRequires:    annotation_api
BuildRequires:    jaxrpc_api
BuildRequires:    geronimo-osgi-locator

Provides:         ejb_api = %{spec_ver}

%description
Contains the Enterprise JavaBeans classes and interfaces that define the
contracts between the enterprise bean and its clients and between the
enterprise bean and the EJB container.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{spec_name}-%{version}
sed -i 's/\r//' LICENSE
# Use parent pom files instead of unavailable 'genesis-java5-flava'
%pom_set_parent org.apache.geronimo.specs:specs:1.4

%mvn_alias : org.apache.geronimo.specs:geronimo-ejb_2.1_spec
%mvn_alias : org.apache.geronimo.specs:geronimo-ejb_3.0_spec
%mvn_alias : javax.ejb:ejb
%mvn_alias : javax.ejb:ejb-api

%mvn_file : %{name} ejb

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0-18.mga6
+ Revision: 981915
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0-17.mga6
+ Revision: 976263
- First rebuild of the java stack
- sync package geronimo-ejb with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-12.mga5
+ Revision: 741962
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1.0-10.mga4
+ Revision: 564118
- Build with xmvn

* Thu Dec 19 2013 dmorgan <dmorgan> 1.0-9.mga4
+ Revision: 558802
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-7.mga3
+ Revision: 351418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0-6.mga3
+ Revision: 291762
- Build with maven3

* Tue Jul 19 2011 dmorgan <dmorgan> 1.0-5.mga2
+ Revision: 126362
- Fix java epoch

* Tue Jul 19 2011 dmorgan <dmorgan> 1.0-4.mga2
+ Revision: 126292
- imported package geronimo-ejb


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 5 2010 Chris Spike <chris.spike@arcor.de> 1.0-3
- Fixed missing BR maven2
- Fixed missing BR geronimo-parent-poms
- Fixed missing BR maven-resources-plugin

* Wed Aug 4 2010 Chris Spike <chris.spike@arcor.de> 1.0-2
- Fixed wrong EOL encoding in LICENSE
- Removed custom depmap
- Added 'org.apache.geronimo.specs:geronimo-ejb_2.1_spec' to maven depmap
- Added 'org.apache.geronimo.specs:geronimo-ejb_3.0_spec' to maven depmap

* Thu Jul 22 2010 Chris Spike <chris.spike@arcor.de> 1.0-1
- Initial version of the package
